mha-decode - Decode MIME messages

- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- NOTES
- AVAILABILITY
- AUTHOR

# NAME

mha-decode - Decode MIME messages

# SYNOPSIS

mha-decode [options] mailfolder ...

mha-decode [options] -single msg.822

# DESCRIPTION

mha-decode is a utility program that is part of the MHonArc software package. mha-decode provides basic MIME decoding for mail messages.

If given mail folders as input, all messages within in the mail folders will be decoded. All message parts are written to files. If a filename is specified for a message part, that filename will be used when writing the part to a file. If no filename is specified in the message, a unique name will be used based upon the content-type of the message part.

A single message can be decoded by using the `-single` option.

# OPTIONS

mha-decode takes options available to mhonarc, but only those options affect parsing of mail folders are applicable: `-conlen`, `-mhpattern`, `-msgsep`, `-noconlen`, `-outdir`, `-perlinc`, `-rcfile`, `-single`, `-umask`.

Also, mha-decode supports the following additional options:

`-dcd-digest`
  Run in message digest mode. When this option is specified, any embedded `message/rfc822` and `message/news` parts will be saved instead of recursively decoding any parts contained within.

# NOTES

The documentation for MHonArc is distributed in HTML format. Due to its size and organization, it is not suited for manpage format. Consult your system administrator for where the documentation has been installed, or see AVAILABILITY on where you can access the documentation on the web.

# AVAILABILITY

<http://www.mhonarc.org/>

# AUTHOR

Earl Hood, mhonarc@mhonarc.org

MHonArc comes with ABSOLUTELY NO WARRANTY and MHonArc may be copied only under the terms of the GNU General Public License, which may be found in the MHonArc distribution.

mha-decode - Decode MIME messages